/*
 *  saleman.c
 *  simu_anneal
 *
 *  Created by wei sun on 2/13/06.
 *  Copyright 2006 __MyCompanyName__. All rights reserved.
 *
 */


/* Driver for routine anneal */

#include <stdio.h>
#include <math.h>
#include <stdlib.h>
#include "nrutil.h"
#include "common_lib.h"
#include "saleman_lib.h"

#define NCITY 10

int main(void)
{
	int i,ii,*iorder;
	long idum=(-111);
	float *x,*y;

	iorder=ivector(1,NCITY);
	x=vector(1,NCITY);
	y=vector(1,NCITY);
	for (i=1;i<=NCITY;i++) {
		x[i]=ran3(&idum);
		y[i]=ran3(&idum);
		iorder[i]=i;
	}
	printf("*** Initial Values ***\n");
	for (ii=1;ii<=NCITY;ii++) {
		printf("%4d %10.4f %10.4f\n",iorder[ii],x[ii],y[ii]);
	}
	anneal(x,y,iorder,NCITY);
	printf("*** System Frozen ***\n");
	printf("Final path:\n");
	printf("%8s %9s %12s\n","city","x","y");
	for (i=1;i<=NCITY;i++) {
		ii=iorder[i];
		printf("%4d %10.4f %10.4f\n",ii,x[ii],y[ii]);
	}
	free_vector(y,1,NCITY);
	free_vector(x,1,NCITY);
	free_ivector(iorder,1,NCITY);
	return 0;
}
